View Issue Details

IDProjectCategoryView StatusLast Update
0002103SymmetricDSBugpublic2014-12-26 08:37
Reporterjosh-a-hicksAssigned Tojosh-a-hicks 
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product Version3.6.17 
Target Version3.6.17Fixed in Version3.6.17 
Summary0002103: Create table to check and allow for identity columns that are not part of PK.
DescriptionFor databases that do not support an auto increment column to exist on a non pk column the auto increment will be removed from the create DDL (for example MySQL).
TagsNo tags attached.

Activities

There are no notes attached to this issue.

Related Changesets

SymmetricDS: master bbd06346

2014-12-16 07:28:52

James

Details Diff
0002103 - Remove auto increment attribute as part of table creation for identity columns that are not part of the PK for databases that do not support it.
0002103
mod - symmetric-db/src/main/java/org/jumpmind/db/platform/AbstractDatabasePlatform.java Diff File
mod - symmetric-db/src/main/java/org/jumpmind/db/platform/IDatabasePlatform.java Diff File
mod - symmetric-io/src/main/java/org/jumpmind/symmetric/io/data/writer/DefaultDatabaseWriter.java Diff File

Issue History

Date Modified Username Field Change
2014-12-15 12:49 josh-a-hicks New Issue
2014-12-15 12:49 josh-a-hicks Status new => assigned
2014-12-15 12:49 josh-a-hicks Assigned To => josh-a-hicks
2014-12-16 09:00 josh-a-hicks Changeset attached => SymmetricDS trunk r9064
2014-12-16 09:00 josh-a-hicks Changeset attached => SymmetricDS 3.6 r9065
2014-12-22 18:43 chenson Status assigned => resolved
2014-12-22 18:43 chenson Fixed in Version => 3.6.17
2014-12-22 18:43 chenson Resolution open => fixed
2014-12-26 08:37 chenson Status resolved => closed
2015-07-30 21:49 Changeset attached => SymmetricDS master bbd06346